#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Unicode
%define		pnam	String
Summary:	Unicode::String perl module
Summary(pl.UTF-8):	Moduł perla Unicode::String
Name:		perl-Unicode-String
Version:	2.10
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a8210e673824b9fb90fd1c360483890
Patch0:		utf8doc.patch
URL:		https://metacpan.org/dist/Unicode-String
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-MIME-Base64 >= 2.00
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::String Perl module - String of Unicode characters
(UCS2/UTF16).

%description -l pl.UTF-8
Moduł Perla Unicode::String - klasa ciągu unikodowych znaków
(UCS2/UTF16).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Unicode/CharName.pm
%{perl_vendorarch}/Unicode/String.pm
%dir %{perl_vendorarch}/auto/Unicode/String
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/String/String.so
%{_mandir}/man3/Unicode::CharName.3pm*
%{_mandir}/man3/Unicode::String.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unicode-String.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 858afd0
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> ebf8153
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d953851
- rebuild with perl 5.34.0

* Thu Jun 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 2f6a84b
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 36aa0ad
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 358f1f5
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> fd85e88
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 9e581ee
- updated to 2.10

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d68a2d2
- perl req/prov fix
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ddf82d6
- rebuild with perl 5.26
- release 16 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 23f39a2
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8153ddb
- added fixes from Fedora
- rel 14

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 06b3ef0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 12074cc
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2d27295
- x32 rebuild
- release 11 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7da5e7e
- release 10 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 2876649
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a8a352b
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> dfc69b7
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> ac92dcf
- gpm-friendly Source URL

